using DinerContracts.BindingModels;
using DinerContracts.SearchModels;
using DinerContracts.ViewModels;

namespace DinerContracts.StoragesContracts
{
	public interface IImplementerStorage
	{
		List<ImplementerViewModel> GetFullList();

		List<ImplementerViewModel> GetFilteredList(ImplementerSearchModel model);

		ImplementerViewModel? GetElement(ImplementerSearchModel model);

		ImplementerViewModel? Insert(ImplementerBindingModel model);

		ImplementerViewModel? Update(ImplementerBindingModel model);

		ImplementerViewModel? Delete(ImplementerBindingModel model);
	}
}
